-- Customer specific once-script AADS

SET ECHO ON
SPOOL xAADS#32158.lst
SET DEFINE OFF



UPDATE alg_gebouw 
   SET alg_locatie_key = 21 
 WHERE alg_gebouw_key = 3486;

UPDATE ins_deel
   SET ins_alg_locatie_key = 21
 WHERE ins_deel_key IN (SELECT ins_deel_key
                          FROM ins_v_deel_gegevens_keys
                         WHERE alg_gebouw_key = 3486);

UPDATE mld_melding
   SET mld_alg_locatie_key = 21
 WHERE mld_melding_key IN
             (SELECT mld_melding_key
                FROM mld_v_onroerendgoed_locatie ol, mld_melding m
               WHERE m.mld_alg_onroerendgoed_keys = ol.alg_onroerendgoed_keys
                 AND alg_gebouw_key = 3486);
                 
--select * from mld_opdr where mld_alg_locatie_key is not null
-- niet gevonden.

UPDATE cad_tekening
   SET alg_locatie_key = 21
 WHERE cad_tekening_key IN
             (SELECT cad_tekening_key
                FROM cad_tekening c, alg_verdieping v
               WHERE c.alg_verdieping_key = v.alg_verdieping_key
                 AND v.alg_gebouw_key = 3486);
                 
-- select * from bez_afspraak
-- niet gevonden

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/

commit;

SPOOL OFF
